### Method

# Ide Workbench get_workspace_by_type

#### Declaration

    IdeWorkspace*
    ide_workbench_get_workspace_by_type (
      IdeWorkbench* self,
      GType type
    )

#### Description

Gets the most-recently-used workspace that matches `type`.

Available since: | 3.32

#### Parameters

`type` | `GType`
| A `GType` of a subclass of `IdeWorkspace`.

#### Return value

Returns: | `IdeWorkspace`
| An `IdeWorkspace` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.